package step

import "net/http"

// HTTPData represents information about an ongoing HTTP request that is made
// available to templates as they are being executed.
type HTTPData struct {
	// Res is like an http.ResponseWriter.
	Res struct {
		Header http.Header
		WriteHeader func (statusCode int)
	}
	// Req is the HTTP request.
	Req *http.Request
}
